<?php
/**
 * The browse view file of workflowaction module of ZDOO.
 *
 * @copyright   Copyright 2009-2016 青岛易软天创网络科技有限公司(QingDao Nature Easy Soft Network Technology Co,LTD, www.cnezsoft.com)
 * @license     商业软件，非开源软件
 * @author      Gang Liu <liugang@cnezsoft.com>
 * @package     workflowaction
 * @version     $Id$
 * @link        http://www.zdoo.com
 */
?>
<?php include '../../common/view/header.html.php';?>
<div id='mainTitle' class='clearfix'>
  <div class='btn-toolbar pull-left'>
    <?php if(!isonlybody()):?>
    <?php echo baseHTML::a("javascript:history.go(-1);", '<i class="icon icon-back icon-sm"></i> ' . $lang->goback, "class='btn btn-back'");?>
    <div class="divider"></div>
    <?php endif;?>
    <div class="page-title">
      <span class="text" title='<?php echo $flow->name; ?>'><?php echo $flow->name . $lang->minus . $lang->workflowaction->browse;?></span>
    </div>
  </div>
  <div class='menu-actions pull-right'>
    <?php echo baseHTML::a("javascript:;", "<i class='icon icon-cards-view'></i>", "data-mode='card' class='mode-toggle btn'");?>
    <?php echo baseHTML::a("javascript:;", "<i class='icon icon-bars'></i>", "data-mode='list' class='mode-toggle btn'");?>
    <?php extCommonModel::printLink('workflowaction', 'create', "module=$flow->module", "<i class='icon-plus'> </i>" . $lang->workflowaction->create, "class='btn btn-primary' data-toggle='modal' data-width='600'");?>
  </div>
</div>
<?php $class = $this->cookie->actionViewType == 'card' ? '' : 'hide';?>
<div class='row <?php echo $class;?>' id='cardMode'>
  <?php foreach($actions as $action):?>
  <div class='col-md-4 col-sm-6'>
    <div class='main-table panel panel-block flow-block'>
      <div class='main-table panel-heading'>
        <strong><?php echo $action->name . ' - ' . $action->action;?></strong>
        <div class="panel-actions pull-right">
          <div class="dropdown">
            <button class="btn btn-mini" data-toggle="dropdown"><span class="caret"></span></button>
            <ul class="dropdown-menu pull-right">
              <?php 
              extCommonModel::printLink('workflowaction', 'edit', "id=$action->id", $lang->edit, "data-toggle='modal' data-width='600'", '', '', 'li');
              extCommonModel::printLink('workflowaction', 'view', "id=$action->id", $lang->view, '', '', '', 'li');
              $isDefault = in_array($action->action, $config->workflowaction->defaultActions);
              if(!$action->buildin && ($flow->buildin or !$isDefault))
              {
                  extCommonModel::printLink('workflowaction', 'delete', "id=$action->id", $lang->delete, "class='deleter'", '', '', 'li');
              }
              ?>
            </ul>
          </div>
        </div>
      </div>
      <div class='main-table panel-body'>
        <div class='info'>
          <div><strong><?php echo $lang->workflowaction->desc;?></strong>&nbsp;&nbsp;<span class='text-important'><?php echo $action->desc;?></span></div>
        </div>
        <div class='footerbar pull-right'>
          <?php
          $canSetCondition    = $this->workflowaction->isClickable($action, 'browseCondition');
          $canSetLayout       = $this->workflowaction->isClickable($action, 'admin');
          $canSetLinkage      = $this->workflowaction->isClickable($action, 'browseLinkage');
          $canSetVerification = $this->workflowaction->isClickable($action, 'setVerification');
          $canSetHook         = $this->workflowaction->isClickable($action, 'browseHook');
          $canSetNotice       = $this->workflowaction->isClickable($action, 'setNotice');
          $canSetJS           = $this->workflowaction->isClickable($action, 'setJS');
          $canSetCSS          = $this->workflowaction->isClickable($action, 'setCSS');

          if($canSetCondition) extCommonModel::printLink('workflowcondition', 'browse', "action=$action->id", $lang->workflowaction->condition);
          if($canSetLayout) extCommonModel::printLink('workflowlayout', 'admin', "module=$action->module&action=$action->action", $lang->workflowaction->layout);
          if($canSetLinkage) extCommonModel::printLink('workflowlinkage', 'browse', "action=$action->id", $lang->workflowaction->linkage);
          if($canSetVerification) extCommonModel::printLink('workflowaction', 'setVerification', "id=$action->id", $lang->workflowaction->setVerification, "data-toggle='modal' data-width='800'");
          if($canSetHook) extCommonModel::printLink('workflowhook', 'browse',  "action=$action->id", $lang->workflowaction->hook);
          if($canSetNotice) extCommonModel::printLink('workflowaction', 'setNotice',  "id=$action->id", $lang->workflowaction->setNotice, "data-toggle='modal'");
          if($canSetJS) extCommonModel::printLink('workflowaction', 'setJS',  "id=$action->id", $lang->workflowaction->setJS, "data-toggle='modal'");
          if($canSetCSS) extCommonModel::printLink('workflowaction', 'setCSS', "id=$action->id", $lang->workflowaction->setCSS, "data-toggle='modal'");
          ?>
        </div>
      </div>
    </div>
  </div>
  <?php endforeach;?>
</div>
<?php $class = $this->cookie->actionViewType == 'list' ? '' : 'hide';?>
<div class='main-table <?php echo $class;?>' id='listMode' data-ride='table'>
  <table class='table has-sort-head table-fixed'>
    <thead>
      <tr>
        <?php $vars="&module=$flow->module&orderBy=%s";?>
        <th class='w-60px'> <?php commonModel::printOrderLink('id', $orderBy, $vars, $lang->workflowaction->id);?></th>
        <th class='w-150px'><?php commonModel::printOrderLink('name', $orderBy, $vars, $lang->workflowaction->name);?></th>
        <th class='w-150px'><?php commonModel::printOrderLink('action', $orderBy, $vars, $lang->workflowaction->action);?></th>
        <?php if($flow->buildin):?>
        <th class='w-100px text-center'><?php commonModel::printOrderLink('buildin', $orderBy, $vars, $lang->workflowaction->buildin);?></th>
        <th class='w-100px'><?php commonModel::printOrderLink('extensionType', $orderBy, $vars, $lang->workflowaction->extensionType);?></th>
        <?php endif;?>
        <th><?php echo $lang->workflowaction->desc;?></th>
        <th style='width: <?php echo $lang->workflowaction->actionWidth;?>px'><?php echo $lang->actions;?></th>
      </tr>
    </thead>
    <tbody>
      <?php foreach($actions as $action):?>
      <tr>
        <td><?php echo $action->id;?></td>
        <td><?php if(!extCommonModel::printLink('workflowaction', 'view', "id=$action->id", $action->name)) echo $action->name;?></td>
        <td><?php echo $action->action;?></td>
        <?php if($flow->buildin):?>
        <td class='text-center buildin<?php echo $action->buildin;?>'><?php echo $action->buildin ? "<i class='icon icon-check'></i>" : "<i class='icon icon-times'></i>";?></td>
        <td><?php if($action->buildin) echo zget($lang->workflowaction->extensionTypeList, $action->extensionType, '');?></td>
        <?php endif;?>
        <td title='<?php echo $action->desc;?>'><?php echo $action->desc;?></td>
        <td>
          <?php 
          $canSetCondition    = $this->workflowaction->isClickable($action, 'browseCondition');
          $canSetLayout       = $this->workflowaction->isClickable($action, 'admin');
          $canSetLinkage      = $this->workflowaction->isClickable($action, 'browseLinkage');
          $canSetVerification = $this->workflowaction->isClickable($action, 'setVerification');
          $canSetHook         = $this->workflowaction->isClickable($action, 'browseHook');
          $canSetNotice       = $this->workflowaction->isClickable($action, 'setNotice');
          $canSetJS           = $this->workflowaction->isClickable($action, 'setJS');
          $canSetCSS          = $this->workflowaction->isClickable($action, 'setCSS');

          extCommonModel::printLink('workflowaction', 'edit', "id=$action->id", $lang->edit, "data-toggle='modal' data-width='600'");

          if($canSetCondition && commonModel::hasPriv('workflowcondition', 'browse'))
          {
              echo baseHTML::a($this->createLink('workflowcondition', 'browse', "action=$action->id"), $lang->workflowaction->condition);
          }
          else
          {
              echo baseHTML::a('javascript:;', $lang->workflowaction->condition, "class='disabled'");
          }

          if($canSetLayout && commonModel::hasPriv('workflowlayout', 'admin'))
          {
              echo baseHTML::a($this->createLink('workflowlayout', 'admin', "module=$action->module&action=$action->action"), $lang->workflowaction->layout);
          }
          else
          {
              echo baseHTML::a('javascript:;', $lang->workflowaction->layout, "class='disabled'");
          }

          if($canSetLinkage && commonModel::hasPriv('workflowlinkage', 'browse'))
          {
              echo baseHTML::a($this->createLink('workflowlinkage', 'browse', "action=$action->id"), $lang->workflowaction->linkage);
          }
          else
          {
              echo baseHTML::a('javascript:;', $lang->workflowaction->linkage, "class='disabled'");
          }

          if($canSetVerification && commonModel::hasPriv('workflowaction', 'setVerification'))
          {
              echo baseHTML::a(inlink('setVerification', "id=$action->id"), $lang->workflowaction->setVerification, "data-toggle='modal' data-width='800'");
          }
          else
          {
              echo baseHTML::a('javascript:;', $lang->workflowaction->setVerification, "class='disabled'");
          }

          if($canSetHook && commonModel::hasPriv('workflowhook', 'browse'))
          {
              echo baseHTML::a($this->createLink('workflowhook', 'browse', "action=$action->id"), $lang->workflowaction->hook);
          }
          else
          {
              echo baseHTML::a('javascript:;', $lang->workflowaction->hook, "class='disabled'");
          }

          if($canSetNotice && commonModel::hasPriv('workflowaction', 'setNotice'))
          {
              echo baseHTML::a(inlink('setNotice', "id=$action->id"), $lang->workflowaction->setNotice, "data-toggle='modal'");
          }
          else
          {
              echo baseHTML::a('javascript:;', $lang->workflowaction->setNotice, "class='disabled'");
          }

          if($canSetJS && commonModel::hasPriv('workflowaction', 'setJS'))
          {
              echo baseHTML::a(inlink('setJS', "id=$action->id"), $lang->workflowaction->setJS, "data-toggle='modal'");
          }
          else
          {
              echo baseHTML::a('javascript:;', $lang->workflowaction->setJS, "class='disabled'");
          }

          if($canSetCSS && commonModel::hasPriv('workflowaction', 'setCSS'))
          {
              echo baseHTML::a(inlink('setCSS', "id=$action->id"), $lang->workflowaction->setCSS, "data-toggle='modal'");
          }
          else
          {
              echo baseHTML::a('javascript:;', $lang->workflowaction->setCSS, "class='disabled'");
          }

          $isDefault = in_array($action->action, $config->workflowaction->defaultActions);
          if(!$action->buildin && ($flow->buildin or !$isDefault) && commonModel::hasPriv('workflowaction', 'delete'))
          {
              echo baseHTML::a(inlink('delete', "id=$action->id"), $lang->delete, "class='deleter'");
          }
          else
          {
              echo baseHTML::a('javascript:;', $lang->delete, "class='disabled'");
          }
          ?>
        </td>
      </tr>
      <?php endforeach;?>
    </tbody>
  </table>
</div>
<?php include '../../common/view/footer.html.php';?>
