<?php
/**
 * The browse view file of workflowcondition module of ZDOO.
 *
 * @copyright   Copyright 2009-2016 青岛易软天创网络科技有限公司(QingDao Nature Easy Soft Network Technology Co,LTD, www.cnezsoft.com)
 * @license     商业软件，非开源软件
 * @author      Gang Liu <liugang@cnezsoft.com>
 * @package     workflowcondition
 * @version     $Id$
 * @link        http://www.zdoo.com
 */
?>
<?php include '../../common/view/header.html.php';?>
<?php js::set('action', $action->id);?>
<div id='menuActions'>
  <?php extCommonModel::printLink('workflowcondition', 'create', "action=$action->id", "<i class='icon-plus'> </i>" . $lang->workflowcondition->create, "class='btn btn-primary' data-toggle='modal' data-width='800'");?>
</div>
<div class='main-row'>
  <div class='side-col'>
    <div class='panel panel-block'>
      <div class='panel-heading'>
        <strong><?php echo $lang->workflowaction->common;?></strong>
      </div>
      <div class='panel-body'>
        <ul class='tree treeview'>
          <?php foreach($actions as $currentAction):?>
          <?php if(!$this->workflowaction->isClickable($currentAction, 'browseCondition')) continue;?>
          <?php echo '<li>' . baseHTML::a(inlink('browse', "action=$currentAction->id"), $currentAction->name) . '</li>';?>
          <?php endforeach;?>
        </ul>
        <div class='text-right'><?php extCommonModel::printLink('workflowaction', 'browse', "module=$flow->module", $lang->workflowaction->browse, "class='btn btn-primary'");?></div>
      </div>
    </div>
  </div>
  <div class='main-col'>
    <div class='panel'>
    <table class='table table-fixed' id='conditionTable'>
      <thead>
        <tr class='text-center'>
          <th><?php echo $lang->workflowcondition->condition;?></th>
          <th class='w-80px'><?php echo $lang->actions;?></th>
        </tr>
      </thead>
      <tbody>
        <?php foreach($action->conditions as $key => $condition):?>
        <tr class='text-left'>
          <?php 
          $output = '';
          if($condition->conditionType == 'sql')
          {
              $output = $condition->sql;
          }
          else
          {
              foreach($condition->fields as $index => $field)
              {
                  if($index > 0)
                  {
                      if(empty($field->logicalOperator)) $field->logicalOperator = 'and';

                      $output .= ' ' . $lang->workflowcondition->logicalOperatorList[$field->logicalOperator] . ' ';
                  }
                  $output .=  zget($fields, $field->field);
                  $output .=  zget($config->workflowcondition->operatorList, $field->operator);
                  if(strpos(',currentUser,deptManager,actor,', ",$field->param,") === false)
                  {
                      $output .= $field->param;
                  }
                  else
                  {
                      $output .= $lang->workflowcondition->options[$field->param];
                  }
              }
          }
          ?>
          <td title="<?php echo $output;?>"><?php echo $output;?></td>
          <td class='text-center'>
            <?php extCommonModel::printLink('workflowcondition', 'edit',   "action=$action->id&key=$key", $lang->edit, "data-toggle='modal' data-width='800'");?>
            <?php extCommonModel::printLink('workflowcondition', 'delete', "action=$action->id&key=$key", $lang->delete, "class='deleter'");?>
          </td>
        </tr>
        <?php endforeach;?>
      </tbody>
    </table>
    </div>
    <div class='main-actions'>
      <div class='btn-toolbar'>
        <?php extCommonModel::printLink('workflowaction', 'browse', "module=$flow->module", $lang->goback, "class='btn btn-back'");?>
      </div>
    </div>
  </div>
</div>
<?php include '../../common/view/footer.html.php';?>
