<?php
/**
 * The admin ui view file of workflowlayout module of ZDOO.
 *
 * @copyright   Copyright 2009-2016 青岛易软天创网络科技有限公司(QingDao Nature Easy Soft Network Technology Co,LTD, www.cnezsoft.com)
 * @license     商业软件，非开源软件
 * @author      Gang Liu <liugang@cnezsoft.com>
 * @package     workflowlayout
 * @version     $Id$
 * @link        http://www.zdoo.com
 */
?>
<?php include '../../common/view/header.html.php';?>
<?php include '../../common/view/datepicker.html.php';?>
<?php js::set('action', $action->action);?>
<?php js::set('mode', $mode);?>
<div class='main-row'>
  <div class='side-col'>
    <div class='panel panel-block'>
      <div class='panel-heading'>
        <strong><?php echo $lang->workflowaction->common;?></strong>
      </div>
      <div class='panel-body'>
        <ul class='tree treeview'>
          <?php foreach($actions as $currentAction):?>
          <?php if($currentAction->action != 'delete' && $currentAction->open != 'none'):?>
          <li><?php echo baseHTML::a(inlink('admin', "module=$action->module&action=$currentAction->action"), $currentAction->name);?></li>
          <?php endif;?>
          <?php endforeach;?>
        </ul>
        <div class='text-right'><?php extCommonModel::printLink('workflowaction', 'browse', "module=$flow->module", $lang->workflowaction->browse, "class='btn btn-primary'");?></div>
      </div>
    </div>
  </div>
  <div class='main-col'>
    <?php if($mode == 'edit'):?>
    <form id='ajaxForm' method='post' action='<?php echo inlink('admin', "module=$action->module&action=$action->action&mode=$mode");?>'>
    <?php endif;?>
      <div id='colsFixedEnabled' class='cols-list'>
        <div class='panel-heading'>
          <i class='icon-check'></i> <span class='title'><span class='title-bar'><strong><?php echo $lang->workflow->common . $lang->colon . $flow->name;?></strong></span></span>
        </div>
      </div>
      <div id='colsFixedRequired' class='cols-list'></div>

      <?php
      include 'fields.html.php';
      if($action->action != 'browse' && $action->type == 'single')
      {
          include 'subtables.html.php';
          include 'prevmodules.html.php';
      }
      ?>

      <?php /* Form actions. */ ?>
      <?php if($mode == 'edit'):?>
      <div class='actions text-center'>
        <div class='btn-group'>
          <?php echo baseHTML::commonButton($lang->selectAll, 'btn btn-default', "id='allchecker'");?>
          <?php echo baseHTML::commonButton($lang->selectReverse, 'btn btn-default', "id='reversechecker'");?>
        </div>
        <?php echo baseHTML::submitButton();?>
        <?php echo html::backButton();?>
      </div>
      <?php endif;?>

    <?php if($mode == 'edit'):?>
    </form>
    <?php endif;?>

    <?php /* Page actions. */ ?>
    <?php if($mode == 'view'):?>
    <div class='main-actions'>
      <div class='btn-toolbar'>
        <?php extCommonModel::printLink('workflowlayout', 'admin', "modult=$action->module&action=$action->action&mode=edit", $lang->edit, "class='btn'");?>
        <?php echo html::backButton();?>
      </div>
    </div>
    <?php endif;?>

  </div>
</div>
<?php include '../../common/view/footer.html.php';?>
